## org.apache.poi.hslf.model
Class TitleMaster

    java.lang.Object
      org.apache.poi.hslf.model.Sheet
          org.apache.poi.hslf.model.MasterSheet
              org.apache.poi.hslf.model.TitleMaster

    public final class TitleMaster

extends MasterSheet

Title masters define the design template for slides with a Title Slide layout.

Author:
  Yegor Kozlov

Constructor Summary
`TitleMaster(Slide record, int sheetNo)` Constructs a TitleMaster

Method Summary
`MasterSheet` `getMasterSheet()` Returns the slide master for this title master.
`TextProp` `getStyleAttribute(int txtype, int level, java.lang.String name, boolean isCharacter)` Delegate the call to the underlying slide master.
`TextRun[]` `getTextRuns()` Returns an array of all the TextRuns found

Methods inherited from class org.apache.poi.hslf.model.MasterSheet
`isPlaceholder`

Methods inherited from class org.apache.poi.hslf.model.Sheet
`_getSheetNumber, _getSheetRefId, addShape, allocateShapeId, draw, findTextRuns, findTextRuns, getBackground, getColorScheme, getPlaceholder, getPlaceholderByTextType, getPPDrawing, getProgrammableTag, getShapes, getSheetContainer, getSlideShow, onAddTextShape, onCreate, removeShape, setSlideShow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TitleMaster

    public TitleMaster(Slide record,
                       int sheetNo)

  Constructs a TitleMaster

Method Detail

### getTextRuns

    public TextRun[] getTextRuns()

  Returns an array of all the TextRuns found

  Specified by:
    `getTextRuns` in class `Sheet`

### getStyleAttribute

    public TextProp getStyleAttribute(int txtype,
                                      int level,
                                      java.lang.String name,
                                      boolean isCharacter)

  Delegate the call to the underlying slide master.

  Specified by:
    `getStyleAttribute` in class `MasterSheet`

### getMasterSheet

    public MasterSheet getMasterSheet()

  Returns the slide master for this title master.

  Specified by:
    `getMasterSheet` in class `Sheet`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.